:root {
    --font-sans-cn:
        "Inter", "Microsoft YaHei", "PingFang SC", "Hiragino Sans GB",
        "Noto Sans CJK SC", "Source Han Sans SC", ui-sans-serif, system-ui,
        -apple-system, "Segoe UI", sans-serif;
    --font-mono-cn:
        "JetBrains Mono", "Cascadia Mono", "SFMono-Regular", "Menlo", "Monaco",
        "Consolas", "Liberation Mono", monospace;
    --font-serif-cn:
        "Songti SC", "STSong", "SimSun", "Noto Serif CJK SC",
        "Source Han Serif SC", "Times New Roman", serif;
}

@font-face {
    font-family: "Inter";
    src: url("/fonts/inter/inter-400.woff2") format("woff2");
    font-style: normal;
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: "JetBrains Mono";
    src: url("/fonts/jetbrains-mono/jetbrains-mono-400.woff2") format("woff2");
    font-style: normal;
    font-weight: 400;
    font-display: swap;
}
/* 
@font-face {
    font-family: 'Noto Serif SC';
    src: url('/fonts/noto-serif-sc/noto-serif-sc-500.woff2') format('woff2');
    font-style: normal;
    font-weight: 500;
    font-display: swap;
} */

@font-face {
    font-family: "Inter";
    src: url("/fonts/inter/inter-500.woff2") format("woff2");
    font-style: normal;
    font-weight: 500;
    font-display: swap;
}

@font-face {
    font-family: "Inter";
    src: url("/fonts/inter/inter-600.woff2") format("woff2");
    font-style: normal;
    font-weight: 600;
    font-display: swap;
}

@font-face {
    font-family: "Inter";
    src: url("/fonts/inter/inter-700.woff2") format("woff2");
    font-style: normal;
    font-weight: 700;
    font-display: swap;
}

@font-face {
    font-family: "Inter";
    src: url("/fonts/inter/inter-800.woff2") format("woff2");
    font-style: normal;
    font-weight: 800;
    font-display: swap;
}

@font-face {
    font-family: "JetBrains Mono";
    src: url("/fonts/jetbrains-mono/jetbrains-mono-500.woff2") format("woff2");
    font-style: normal;
    font-weight: 500;
    font-display: swap;
}

@font-face {
    font-family: "JetBrains Mono";
    src: url("/fonts/jetbrains-mono/jetbrains-mono-700.woff2") format("woff2");
    font-style: normal;
    font-weight: 700;
    font-display: swap;
}
/* 
@font-face {
    font-family: 'Noto Serif SC';
    src: url('/fonts/noto-serif-sc/noto-serif-sc-700.woff2') format('woff2');
    font-style: normal;
    font-weight: 700;
    font-display: swap;
} */
